Summary:	Interactive function grapher
Name:		mathplot
Version:	0.8.6
Release:	%mkrel 4
License:	GPLv3+
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://rigaux.org/mathplot.html
Source0:	http://rigaux.org/%{name}-%{version}.src.tar.lzma
Requires:	tk
Requires:	tcl
BuildRequires:	ocaml >= 3.00
BuildRequires:	ocaml-labltk
BuildRequires:	X11-devel
BuildRequires:	ImageMagick
BuildRequires:	ncurses-devel
BuildRequires:	findlib
BuildRequires:	ocaml-simple_gettext-devel
BuildRequires:	tk
BuildRequires:	tk-devel
BuildRequires:	tcl
BuildRequires:	tcl-devel

%description
mathplot is a GUI frontend for interactive graphing of functions.
mathplot2ps is a batch program to generate PostScript output.

You can have both equations (y=f(x) or f(x,y)=g(x)) and inequations.
For inequations, mathplot hatches the intersection. For example, with
y>0, y<x and x<2 it hatches the solution which is a triangle. You can
name a point, anywhere or on a function. You can ask for the tangent
of a function. As it uses a symbolic library, you can enter functions
like "x+1/y=2". Can find root (zeros), extrema (even symbolically,
sometimes) and intersection of two functions. mathplot exports in
PostScript so that you can print easily, and with the reference mark
(O, i, j). You can save and load files. mathplot2ps can transform
these files into PostScript.
It's written in OCaml using the Tk toolkit for the GUI frontend.

%prep
%setup -q -n %{name}

%build
CFLAGS="%{optflags}" make prefix=%{_prefix}

%install
rm -rf %{buildroot}
%makeinstall_std prefix=%{_prefix}

%find_lang %{name}

rm -rf %{buildroot}%{_docdir}

install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert icons/mathplot-icon.gif %{buildroot}%{_iconsdir}/hicolor/32x32/apps/mathplot.png
convert icons/mathplot-icon-large.gif %{buildroot}%{_iconsdir}/hicolor/48x48/apps/mathplot.png
convert icons/mathplot-icon-mini.gif %{buildroot}%{_iconsdir}/hicolor/16x16/apps/mathplot.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Mathplot
Comment=Interactive function grapher
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Science;Math;
EOF


%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post 
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%files -f %{name}.lang
%defattr(-, root, root)
%doc CHANGES README docs/TODO docs/BUGS
%{_bindir}/*
%{_datadir}/%{name}*
%lang(es) %{_mandir}/es/*/*
%{_mandir}/man*/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/mathplot.png



%changelog
* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.6-4mdv2009.1
+ Revision: 310972
- rebuild for new tcl
- a few cleanups

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.6-3mdv2009.0
+ Revision: 252061
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - update URL
    - 0.8.6: switch to GPLv3+

* Sat Jan 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.5-5mdv2008.1
+ Revision: 149661
- new license policy
- rebuild for new tcl/tk
- buildrequires ocaml-simplet_gettext-devel
- fd.o icons
- reformat the inexplicably justified description
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Aug 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com>
+ 2006-08-28 14:38:25 (58313)
- fix summary macro used in menu
- cosmetics

* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 11:08:09 (58272)
- Import mathplot

* Fri Jul 07 2006 Pixel <pixel@mandriva.com> 0.8.5-3mdv2007.0
- explictly require tk & tcl
- switch to XDG menu

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Nov 08 2005 Pixel <pixel@mandriva.com> 0.8.5-1mdk
- new version

* Tue Nov 09 2004 Pixel <pixel@mandrakesoft.com> 0.8.4-1mdk 
- new release
- drop versioned-tcl patch now unneeded
- requires findlib
- i18n

* Thu Oct 02 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.3-5mdk
- lib64 fixes

* Mon Sep 08 2003 Pixel <pixel@mandrakesoft.com> 0.8.3-4mdk
- remove french description 
  (which was not in utf8 and it is not the good way to have it in .spec)

